Reports & exports
Get Report Filter Options
Builds the report's rows to list filterable fields with the values present for the org.
GEThttps://api.toku.com/hris/get-report-filter-options
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-report-filter-options?reportId=%3CreportId%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"fields": [
{
"field": "string",
"label": "string",
"type": "text",
"options": [
"string"
],
"optionsTruncated": true
}
],
"totalRows": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
reportIdstringrequiredcustomReportBasestringAvailable options: people, time_off, expense, invoice, compensation
asOfDatestringAllowed: matches ^\d{4}-\d{2}-\d{2}$
Response
200Successful response
fieldsobject[]requiredShow child attributes
fieldstringrequiredlabelstringrequiredtypestringrequiredAvailable options: text, enum, date, number
optionsstring[]requiredoptionsTruncatedbooleanrequiredtotalRowsintegerrequiredAllowed: at least 0
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits